********************************************************
*** Record of Creation of Variables - PRQ Experiment ***
********************************************************

* Dropping warm-up round:
drop if period<=0

*Setting panel format Subject X Period:

xtset id_i period

*Generating Sincere or Strategic Vote Dummies (Contemporaneous) - Tables 4-5:

gen sincere = 1 if votea==1 & camp1==1 & (distance_a <= distance_b & distance_a <= distance_c & distance_a <= distance_d)  
replace sincere = 1 if voteb==1  & camp1==1 & (distance_b <= distance_a & distance_b <= distance_c & distance_b <= distance_d) 
replace sincere = 1 if votec==1  & camp1==1 & (distance_c <= distance_a & distance_c <= distance_b & distance_c <= distance_d) 
replace sincere = 1 if voted==1  & camp1==1 & (distance_d <= distance_a & distance_d <= distance_b & distance_d <= distance_c) 
replace sincere = 1 if votee==1  & camp2==1 & (distance_e <= distance_f & distance_e <= distance_g & distance_e <= distance_h) 
replace sincere = 1 if votef==1  & camp2==1 & (distance_f <= distance_e & distance_f <= distance_g & distance_f <= distance_h) 
replace sincere = 1 if voteg==1  & camp2==1 & (distance_g <= distance_e & distance_g <= distance_f & distance_g <= distance_h) 
replace sincere = 1 if voteh==1  & camp2==1 & (distance_h <= distance_e & distance_h <= distance_f & distance_h <= distance_g) 
recode sincere (.=0)
gen strategic = 1 if sincere==0
replace strategic = 0 if sincere==1

gen sincerepviable = 1 if percept_a>=(threshold-1) & camp1==1 & (distance_a <= distance_b & distance_a <= distance_c & distance_a <= distance_d)  
replace sincerepviable = 1 if percept_b>=(threshold-1)  & camp1==1 & (distance_b <= distance_a & distance_b <= distance_c & distance_b <= distance_d) 
replace sincerepviable = 1 if percept_c>=(threshold-1)  & camp1==1 & (distance_c <= distance_a & distance_c <= distance_b & distance_c <= distance_d) 
replace sincerepviable = 1 if percept_d>=(threshold-1)  & camp1==1 & (distance_d <= distance_a & distance_d <= distance_b & distance_d <= distance_c) 
replace sincerepviable = 1 if percept_e>=(threshold-1)  & camp2==1 & (distance_e <= distance_f & distance_e <= distance_g & distance_e <= distance_h) 
replace sincerepviable = 1 if percept_f>=(threshold-1)  & camp2==1 & (distance_f <= distance_e & distance_f <= distance_g & distance_f <= distance_h) 
replace sincerepviable = 1 if percept_g>=(threshold-1)  & camp2==1 & (distance_g <= distance_e & distance_g <= distance_f & distance_g <= distance_h) 
replace sincerepviable = 1 if percept_h>=(threshold-1)  & camp2==1 & (distance_h <= distance_e & distance_h <= distance_f & distance_h <= distance_g) 
recode sincerepviable (.=0)
replace sincerenonviable = 1 if sincerepviable==0
replace sincerenonviable = 0 if sincerepviable==1

*Generating Time Period variable (count of three period within series) - Tables 4-6:

gen period3 = period
recode period3 (4=1) (5=2) (6=3) (7=1) (8=2) (9=3) (10=1) (11=2) (12=3)  (13=1) (14=2) (15=3)  (16=1) (17=2) (18=3)
recode period3 (3=2) (2=1) (1=0) 

*Generating the "Sincere Party was Viable at t-1" Dummy - Table 5:

gen mindistancea = 1 if camp1==1 & (distance_a <= distance_b & distance_a <= distance_c & distance_a <= distance_d)  
gen mindistanceb = 1 if camp1==1 & (distance_b <= distance_a & distance_b <= distance_c & distance_b <= distance_d)  
gen mindistancec = 1 if camp1==1 & (distance_c <= distance_a & distance_c <= distance_b & distance_c <= distance_d)  
gen mindistanced = 1 if camp1==1 & (distance_d <= distance_a & distance_d <= distance_b & distance_d <= distance_c) 
gen mindistancee = 1 if camp2==1 & (distance_e <= distance_f & distance_e <= distance_g & distance_e <= distance_h)  
gen mindistancef = 1 if camp2==1 & (distance_f <= distance_e & distance_f <= distance_g & distance_f <= distance_h)
gen mindistanceg = 1 if camp2==1 & (distance_g <= distance_e & distance_g <= distance_f & distance_g <= distance_h)  
gen mindistanceh = 1 if camp2==1 & (distance_h <= distance_e & distance_h <= distance_f & distance_h <= distance_g)
recode mindistance* (.=0)

gen sincereunderpi = 1 if mindistancea==1 & sumvotea<threshold
replace sincereunderpi = 1 if mindistanceb==1 & sumvoteb<threshold
replace sincereunderpi = 1 if mindistancec==1 & sumvotec<threshold
replace sincereunderpi = 1 if mindistanced==1 & sumvoted<threshold
replace sincereunderpi = 1 if mindistancee==1 & sumvotee<threshold
replace sincereunderpi = 1 if mindistancef==1 & sumvotef<threshold
replace sincereunderpi = 1 if mindistanceg==1 & sumvoteg<threshold
replace sincereunderpi = 1 if mindistanceh==1 & sumvoteh<threshold
recode sincereunderpi (.=0)
gen sincerewasviable = l.sincereunderpi

*Recode threshold variable 0-1 - Table 6

gen pi = 1 if threshold==4
replace pi = 0 if threshold==3

*Generating Dependent Variable - Table 6

#delimit;
gen vote_lastwinner = 1 if (votea==1 & (l.sumvotea > l.sumvoteb & l.sumvotea > l.sumvotec & l.sumvotea > l.sumvoted) & camp1==1 & period!=10) 
| (voteb==1 & (l.sumvoteb > l.sumvotea & l.sumvoteb > l.sumvotec & l.sumvoteb > l.sumvoted) & camp1==1 & period!=10) 
| (votec==1 & (l.sumvotec > l.sumvotea & l.sumvotec > l.sumvoteb & l.sumvotec > l.sumvoted) & camp1==1 & period!=10) 
| (voted==1 & (l.sumvoted > l.sumvotea & l.sumvoted > l.sumvoteb & l.sumvoted > l.sumvotec) & camp1==1 & period!=10) 
| (votee==1 & (l.sumvotee > l.sumvotef & l.sumvotee > l.sumvoteg & l.sumvotee > l.sumvoteh) & camp2==1 & period!=10) 
| (votef==1 & (l.sumvotef > l.sumvotee & l.sumvotef > l.sumvoteg & l.sumvotef > l.sumvoteh) & camp2==1 & period!=10) 
| (voteg==1 & (l.sumvoteg > l.sumvotee & l.sumvoteg > l.sumvotef & l.sumvoteg > l.sumvoteh) & camp2==1 & period!=10) 
| (voteh==1 & (l.sumvoteh > l.sumvotee & l.sumvoteh > l.sumvotef & l.sumvoteh > l.sumvoteg) & camp2==1 & period!=10) ;
recode vote_lastwinner (.=0)  ;

*Generating Distance from winner at t-1 - Table 6

#delimit;
gen distance2_a = distance_a if distance_a <=7 & camp1==1 ;
gen distance2_b = distance_b if distance_b <=7 & camp1==1  ;
gen distance2_c = distance_c if distance_c <=7 & camp1==1 ;
gen distance2_d = distance_d if distance_d <=7 & camp1==1 ;
gen distance2_e = distance_e if distance_e <=7 & camp2==1 ;
gen distance2_f = distance_f if distance_f <=7 & camp2==1  ;
gen distance2_g = distance_g if distance_g <=7 & camp2==1  ;
gen distance2_h = distance_h if distance_h <=7 & camp2==1  ;
recode distance2* (7=5) (6=5) ;

#delimit;
gen distance = distance2_a if (l.sumvotea > l.sumvoteb & l.sumvotea > l.sumvotec & l.sumvotea > l.sumvoted) & camp1==1 ;
replace distance = distance2_b if (l.sumvoteb > l.sumvotea & l.sumvoteb > l.sumvotec & l.sumvoteb > l.sumvoted) & camp1==1 ;
replace distance = distance2_c if (l.sumvotec > l.sumvotea & l.sumvotec > l.sumvoteb & l.sumvotec > l.sumvoted) & camp1==1 ;
replace distance = distance2_d if (l.sumvoted > l.sumvotea & l.sumvoted > l.sumvoteb & l.sumvoted > l.sumvotec) & camp1==1 ;
replace distance = distance2_e if (l.sumvotee > l.sumvotef & l.sumvotee > l.sumvoteg & l.sumvotee > l.sumvoteh) & camp2==1 ;
replace distance = distance2_f if (l.sumvotef > l.sumvotee & l.sumvotef > l.sumvoteg & l.sumvotef > l.sumvoteh) & camp2==1 ;
replace distance = distance2_g if (l.sumvoteg > l.sumvotee & l.sumvoteg > l.sumvotef & l.sumvoteg > l.sumvoteh) & camp2==1 ;
replace distance = distance2_h if (l.sumvoteh > l.sumvotee & l.sumvoteh > l.sumvotef & l.sumvoteh > l.sumvoteg) & camp2==1 ;
replace distance = distance/5 ;

*Generating Sincere Lost at t-1 - Table 6

#delimit;
gen sincereunderpi2 = 1 if votea==1 & mindistancea==1 & sumvotea<threshold;
replace sincereunderpi2 = 1 if voteb==1 & mindistanceb==1 & sumvoteb<threshold;
replace sincereunderpi2 = 1 if votec==1 & mindistancec==1 & sumvotec<threshold;
replace sincereunderpi2 = 1 if voted==1 & mindistanced==1 & sumvoted<threshold;
replace sincereunderpi2 = 1 if votee==1 & mindistancee==1 & sumvotee<threshold;
replace sincereunderpi2 = 1 if votef==1 & mindistancef==1 & sumvotef<threshold;
replace sincereunderpi2 = 1 if voteg==1 & mindistanceg==1 & sumvoteg<threshold;
replace sincereunderpi2 = 1 if voteh==1 & mindistanceh==1 & sumvoteh<threshold;
recode sincereunderpi2 (.=0);
gen sincerelost = l.sincereunderpi2;

*Generating Inertia variable - Table 6

#delimit;
gen inertia = 1 if (l.votea==1 & (l.sumvotea > l.sumvoteb & l.sumvotea > l.sumvotec & l.sumvotea > l.sumvoted) & camp1==1 & period!=10) 
| (l.voteb==1 & (l.sumvoteb > l.sumvotea & l.sumvoteb > l.sumvotec & l.sumvoteb > l.sumvoted) & camp1==1 & period!=10) 
| (l.votec==1 & (l.sumvotec > l.sumvotea & l.sumvotec > l.sumvoteb & l.sumvotec > l.sumvoted) & camp1==1 & period!=10) 
| (l.voted==1 & (l.sumvoted > l.sumvotea & l.sumvoted > l.sumvoteb & l.sumvoted > l.sumvotec) & camp1==1 & period!=10) 
| (l.votee==1 & (l.sumvotee > l.sumvotef & l.sumvotee > l.sumvoteg & l.sumvotee > l.sumvoteh) & camp2==1 & period!=10) 
| (l.votef==1 & (l.sumvotef > l.sumvotee & l.sumvotef > l.sumvoteg & l.sumvotef > l.sumvoteh) & camp2==1 & period!=10) 
| (l.voteg==1 & (l.sumvoteg > l.sumvotee & l.sumvoteg > l.sumvotef & l.sumvoteg > l.sumvoteh) & camp2==1 & period!=10) 
| (l.voteh==1 & (l.sumvoteh > l.sumvotee & l.sumvoteh > l.sumvotef & l.sumvoteh > l.sumvoteg) & camp2==1 & period!=10) ;
recode inertia (.=0);

